Advertisement
mahdikhorshidi

config.ststus

Nov 4th, 2011
134
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 50.72 KB | None | 0 0
  1. root@linux [~]# cat /usr/local/cpanel/src/3rdparty/gpl/libxml2-2.6.23/config.status
  2. #! /bin/sh
  3. # Generated by configure.
  4. # Run this file to recreate the current configuration.
  5. # Compiler output produced by configure, useful for debugging
  6. # configure, is in config.log if it exists.
  7.  
  8. debug=false
  9. ac_cs_recheck=false
  10. ac_cs_silent=false
  11. SHELL=${CONFIG_SHELL-/bin/sh}
  12. ## --------------------- ##
  13. ## M4sh Initialization. ##
  14. ## --------------------- ##
  15.  
  16. # Be Bourne compatible
  17. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  18. emulate sh
  19. NULLCMD=:
  20. # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  21. # is contrary to our usage. Disable this feature.
  22. alias -g '${1+"$@"}'='"$@"'
  23. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  24. set -o posix
  25. fi
  26. DUALCASE=1; export DUALCASE # for MKS sh
  27.  
  28. # Support unset when possible.
  29. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  30. as_unset=unset
  31. else
  32. as_unset=false
  33. fi
  34.  
  35.  
  36. # Work around bugs in pre-3.0 UWIN ksh.
  37. $as_unset ENV MAIL MAILPATH
  38. PS1='$ '
  39. PS2='> '
  40. PS4='+ '
  41.  
  42. # NLS nuisances.
  43. for as_var in \
  44. LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  45. LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  46. LC_TELEPHONE LC_TIME
  47. do
  48. if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  49. eval $as_var=C; export $as_var
  50. else
  51. $as_unset $as_var
  52. fi
  53. done
  54.  
  55. # Required to use basename.
  56. if expr a : '\(a\)' >/dev/null 2>&1; then
  57. as_expr=expr
  58. else
  59. as_expr=false
  60. fi
  61.  
  62. if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  63. as_basename=basename
  64. else
  65. as_basename=false
  66. fi
  67.  
  68.  
  69. # Name of the executable.
  70. as_me=`$as_basename "$0" ||
  71. $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  72. X"$0" : 'X\(//\)$' \| \
  73. X"$0" : 'X\(/\)$' \| \
  74. . : '\(.\)' 2>/dev/null ||
  75. echo X/"$0" |
  76. sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
  77. /^X\/\(\/\/\)$/{ s//\1/; q; }
  78. /^X\/\(\/\).*/{ s//\1/; q; }
  79. s/.*/./; q'`
  80.  
  81.  
  82. # PATH needs CR, and LINENO needs CR and PATH.
  83. # Avoid depending upon Character Ranges.
  84. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  85. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  86. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  87. as_cr_digits='0123456789'
  88. as_cr_alnum=$as_cr_Letters$as_cr_digits
  89.  
  90. # The user is always right.
  91. if test "${PATH_SEPARATOR+set}" != set; then
  92. echo "#! /bin/sh" >conf$$.sh
  93. echo "exit 0" >>conf$$.sh
  94. chmod +x conf$$.sh
  95. if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  96. PATH_SEPARATOR=';'
  97. else
  98. PATH_SEPARATOR=:
  99. fi
  100. rm -f conf$$.sh
  101. fi
  102.  
  103.  
  104. as_lineno_1=$LINENO
  105. as_lineno_2=$LINENO
  106. as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  107. test "x$as_lineno_1" != "x$as_lineno_2" &&
  108. test "x$as_lineno_3" = "x$as_lineno_2" || {
  109. # Find who we are. Look in the path if we contain no path at all
  110. # relative or not.
  111. case $0 in
  112. *[\\/]* ) as_myself=$0 ;;
  113. *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  114. for as_dir in $PATH
  115. do
  116. IFS=$as_save_IFS
  117. test -z "$as_dir" && as_dir=.
  118. test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  119. done
  120.  
  121. ;;
  122. esac
  123. # We did not find ourselves, most probably we were run as `sh COMMAND'
  124. # in which case we are not to be found in the path.
  125. if test "x$as_myself" = x; then
  126. as_myself=$0
  127. fi
  128. if test ! -f "$as_myself"; then
  129. { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
  130. echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
  131. { (exit 1); exit 1; }; }
  132. fi
  133. case $CONFIG_SHELL in
  134. '')
  135. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  136. for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  137. do
  138. IFS=$as_save_IFS
  139. test -z "$as_dir" && as_dir=.
  140. for as_base in sh bash ksh sh5; do
  141. case $as_dir in
  142. /*)
  143. if ("$as_dir/$as_base" -c '
  144. as_lineno_1=$LINENO
  145. as_lineno_2=$LINENO
  146. as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  147. test "x$as_lineno_1" != "x$as_lineno_2" &&
  148. test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
  149. $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
  150. $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
  151. CONFIG_SHELL=$as_dir/$as_base
  152. export CONFIG_SHELL
  153. exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  154. fi;;
  155. esac
  156. done
  157. done
  158. ;;
  159. esac
  160.  
  161. # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  162. # uniformly replaced by the line number. The first 'sed' inserts a
  163. # line-number line before each line; the second 'sed' does the real
  164. # work. The second script uses 'N' to pair each line-number line
  165. # with the numbered line, and appends trailing '-' during
  166. # substitution so that $LINENO is not a special case at line end.
  167. # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  168. # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
  169. sed '=' <$as_myself |
  170. sed '
  171. N
  172. s,$,-,
  173. : loop
  174. s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
  175. t loop
  176. s,-$,,
  177. s,^['$as_cr_digits']*\n,,
  178. ' >$as_me.lineno &&
  179. chmod +x $as_me.lineno ||
  180. { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
  181. echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
  182. { (exit 1); exit 1; }; }
  183.  
  184. # Don't try to exec as it changes $[0], causing all sort of problems
  185. # (the dirname of $[0] is not the place where we might find the
  186. # original and so on. Autoconf is especially sensible to this).
  187. . ./$as_me.lineno
  188. # Exit status is that of the last command.
  189. exit
  190. }
  191.  
  192.  
  193. case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  194. *c*,-n*) ECHO_N= ECHO_C='
  195. ' ECHO_T=' ' ;;
  196. *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  197. *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
  198. esac
  199.  
  200. if expr a : '\(a\)' >/dev/null 2>&1; then
  201. as_expr=expr
  202. else
  203. as_expr=false
  204. fi
  205.  
  206. rm -f conf$$ conf$$.exe conf$$.file
  207. echo >conf$$.file
  208. if ln -s conf$$.file conf$$ 2>/dev/null; then
  209. # We could just check for DJGPP; but this test a) works b) is more generic
  210. # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  211. if test -f conf$$.exe; then
  212. # Don't use ln at all; we don't have any links
  213. as_ln_s='cp -p'
  214. else
  215. as_ln_s='ln -s'
  216. fi
  217. elif ln conf$$.file conf$$ 2>/dev/null; then
  218. as_ln_s=ln
  219. else
  220. as_ln_s='cp -p'
  221. fi
  222. rm -f conf$$ conf$$.exe conf$$.file
  223.  
  224. if mkdir -p . 2>/dev/null; then
  225. as_mkdir_p=:
  226. else
  227. test -d ./-p && rmdir ./-p
  228. as_mkdir_p=false
  229. fi
  230.  
  231. as_executable_p="test -f"
  232.  
  233. # Sed expression to map a string onto a valid CPP name.
  234. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  235.  
  236. # Sed expression to map a string onto a valid variable name.
  237. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  238.  
  239.  
  240. # IFS
  241. # We need space, tab and new line, in precisely that order.
  242. as_nl='
  243. '
  244. IFS=" $as_nl"
  245.  
  246. # CDPATH.
  247. $as_unset CDPATH
  248.  
  249. exec 6>&1
  250.  
  251. # Open the log real soon, to keep \$[0] and so on meaningful, and to
  252. # report actual input values of CONFIG_FILES etc. instead of their
  253. # values after options handling. Logging --version etc. is OK.
  254. exec 5>>config.log
  255. {
  256. echo
  257. sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  258. ## Running $as_me. ##
  259. _ASBOX
  260. } >&5
  261. cat >&5 <<_CSEOF
  262.  
  263. This file was extended by $as_me, which was
  264. generated by GNU Autoconf 2.59. Invocation command line was
  265.  
  266. CONFIG_FILES = $CONFIG_FILES
  267. CONFIG_HEADERS = $CONFIG_HEADERS
  268. CONFIG_LINKS = $CONFIG_LINKS
  269. CONFIG_COMMANDS = $CONFIG_COMMANDS
  270. $ $0 $@
  271.  
  272. _CSEOF
  273. echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
  274. echo >&5
  275. config_files=" libxml2.spec:libxml.spec.in Makefile include/Makefile include/libxml/Makefile doc/Makefile doc/examples/Makefile doc/devhelp/Makefile example/Makefile python/Makefile python/tests/Makefile xstc/Makefile include/libxml/xmlversion.h xml2-config libxml-2.0.pc libxml-2.0-uninstalled.pc python/setup.py"
  276. config_headers=" config.h"
  277. config_commands=" depfiles"
  278.  
  279. ac_cs_usage="\
  280. \`$as_me' instantiates files from templates according to the
  281. current configuration.
  282.  
  283. Usage: $0 [OPTIONS] [FILE]...
  284.  
  285. -h, --help print this help, then exit
  286. -V, --version print version number, then exit
  287. -q, --quiet do not print progress messages
  288. -d, --debug don't remove temporary files
  289. --recheck update $as_me by reconfiguring in the same conditions
  290. --file=FILE[:TEMPLATE]
  291. instantiate the configuration file FILE
  292. --header=FILE[:TEMPLATE]
  293. instantiate the configuration header FILE
  294.  
  295. Configuration files:
  296. $config_files
  297.  
  298. Configuration headers:
  299. $config_headers
  300.  
  301. Configuration commands:
  302. $config_commands
  303.  
  304. Report bugs to <bug-autoconf@gnu.org>."
  305. ac_cs_version="\
  306. config.status
  307. configured by ./configure, generated by GNU Autoconf 2.59,
  308. with options \"'--prefix=/usr' '--libdir=/usr/lib64'\"
  309.  
  310. Copyright (C) 2003 Free Software Foundation, Inc.
  311. This config.status script is free software; the Free Software Foundation
  312. gives unlimited permission to copy, distribute and modify it."
  313. srcdir=.
  314. INSTALL="/usr/bin/install -c"
  315. # If no file are specified by the user, then we need to provide default
  316. # value. By we need to know if files were specified by the user.
  317. ac_need_defaults=:
  318. while test $# != 0
  319. do
  320. case $1 in
  321. --*=*)
  322. ac_option=`expr "x$1" : 'x\([^=]*\)='`
  323. ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
  324. ac_shift=:
  325. ;;
  326. -*)
  327. ac_option=$1
  328. ac_optarg=$2
  329. ac_shift=shift
  330. ;;
  331. *) # This is not an option, so the user has probably given explicit
  332. # arguments.
  333. ac_option=$1
  334. ac_need_defaults=false;;
  335. esac
  336.  
  337. case $ac_option in
  338. # Handling of the options.
  339. -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  340. ac_cs_recheck=: ;;
  341. --version | --vers* | -V )
  342. echo "$ac_cs_version"; exit 0 ;;
  343. --he | --h)
  344. # Conflict between --help and --header
  345. { { echo "$as_me:$LINENO: error: ambiguous option: $1
  346. Try \`$0 --help' for more information." >&5
  347. echo "$as_me: error: ambiguous option: $1
  348. Try \`$0 --help' for more information." >&2;}
  349. { (exit 1); exit 1; }; };;
  350. --help | --hel | -h )
  351. echo "$ac_cs_usage"; exit 0 ;;
  352. --debug | --d* | -d )
  353. debug=: ;;
  354. --file | --fil | --fi | --f )
  355. $ac_shift
  356. CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  357. ac_need_defaults=false;;
  358. --header | --heade | --head | --hea )
  359. $ac_shift
  360. CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  361. ac_need_defaults=false;;
  362. -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  363. | -silent | --silent | --silen | --sile | --sil | --si | --s)
  364. ac_cs_silent=: ;;
  365.  
  366. # This is an error.
  367. -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
  368. Try \`$0 --help' for more information." >&5
  369. echo "$as_me: error: unrecognized option: $1
  370. Try \`$0 --help' for more information." >&2;}
  371. { (exit 1); exit 1; }; } ;;
  372.  
  373. *) ac_config_targets="$ac_config_targets $1" ;;
  374.  
  375. esac
  376. shift
  377. done
  378.  
  379. ac_configure_extra_args=
  380.  
  381. if $ac_cs_silent; then
  382. exec 6>/dev/null
  383. ac_configure_extra_args="$ac_configure_extra_args --silent"
  384. fi
  385.  
  386. if $ac_cs_recheck; then
  387. echo "running /bin/sh ./configure " '--prefix=/usr' '--libdir=/usr/lib64' $ac_configure_extra_args " --no-create --no-recursion" >&6
  388. exec /bin/sh ./configure '--prefix=/usr' '--libdir=/usr/lib64' $ac_configure_extra_args --no-create --no-recursion
  389. fi
  390.  
  391. #
  392. # INIT-COMMANDS section.
  393. #
  394.  
  395. AMDEP_TRUE="" ac_aux_dir="."
  396.  
  397. for ac_config_target in $ac_config_targets
  398. do
  399. case "$ac_config_target" in
  400. # Handling of arguments.
  401. "libxml2.spec" ) CONFIG_FILES="$CONFIG_FILES libxml2.spec:libxml.spec.in" ;;
  402. "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  403. "include/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
  404. "include/libxml/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/libxml/Makefile" ;;
  405. "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
  406. "doc/examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/examples/Makefile" ;;
  407. "doc/devhelp/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/devhelp/Makefile" ;;
  408. "example/Makefile" ) CONFIG_FILES="$CONFIG_FILES example/Makefile" ;;
  409. "python/Makefile" ) CONFIG_FILES="$CONFIG_FILES python/Makefile" ;;
  410. "python/tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES python/tests/Makefile" ;;
  411. "xstc/Makefile" ) CONFIG_FILES="$CONFIG_FILES xstc/Makefile" ;;
  412. "include/libxml/xmlversion.h" ) CONFIG_FILES="$CONFIG_FILES include/libxml/xmlversion.h" ;;
  413. "xml2-config" ) CONFIG_FILES="$CONFIG_FILES xml2-config" ;;
  414. "libxml-2.0.pc" ) CONFIG_FILES="$CONFIG_FILES libxml-2.0.pc" ;;
  415. "libxml-2.0-uninstalled.pc" ) CONFIG_FILES="$CONFIG_FILES libxml-2.0-uninstalled.pc" ;;
  416. "python/setup.py" ) CONFIG_FILES="$CONFIG_FILES python/setup.py" ;;
  417. "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
  418. "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  419. *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  420. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  421. { (exit 1); exit 1; }; };;
  422. esac
  423. done
  424.  
  425. # If the user did not use the arguments to specify the items to instantiate,
  426. # then the envvar interface is used. Set only those that are not.
  427. # We use the long form for the default assignment because of an extremely
  428. # bizarre bug on SunOS 4.1.3.
  429. if $ac_need_defaults; then
  430. test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  431. test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  432. test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
  433. fi
  434.  
  435. # Have a temporary directory for convenience. Make it in the build tree
  436. # simply because there is no reason to put it here, and in addition,
  437. # creating and moving files from /tmp can sometimes cause problems.
  438. # Create a temporary directory, and hook for its removal unless debugging.
  439. $debug ||
  440. {
  441. trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  442. trap '{ (exit 1); exit 1; }' 1 2 13 15
  443. }
  444.  
  445. # Create a (secure) tmp directory for tmp files.
  446.  
  447. {
  448. tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  449. test -n "$tmp" && test -d "$tmp"
  450. } ||
  451. {
  452. tmp=./confstat$$-$RANDOM
  453. (umask 077 && mkdir $tmp)
  454. } ||
  455. {
  456. echo "$me: cannot create a temporary directory in ." >&2
  457. { (exit 1); exit 1; }
  458. }
  459.  
  460.  
  461. #
  462. # CONFIG_FILES section.
  463. #
  464.  
  465. # No need to generate the scripts if there are no CONFIG_FILES.
  466. # This happens for instance when ./config.status config.h
  467. if test -n "$CONFIG_FILES"; then
  468. # Protect against being on the right side of a sed subst in config.status.
  469. sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  470. s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  471. s,@SHELL@,/bin/sh,;t t
  472. s,@PATH_SEPARATOR@,:,;t t
  473. s,@PACKAGE_NAME@,,;t t
  474. s,@PACKAGE_TARNAME@,,;t t
  475. s,@PACKAGE_VERSION@,,;t t
  476. s,@PACKAGE_STRING@,,;t t
  477. s,@PACKAGE_BUGREPORT@,,;t t
  478. s,@exec_prefix@,${prefix},;t t
  479. s,@prefix@,/usr,;t t
  480. s,@program_transform_name@,s,x,x,,;t t
  481. s,@bindir@,${exec_prefix}/bin,;t t
  482. s,@sbindir@,${exec_prefix}/sbin,;t t
  483. s,@libexecdir@,${exec_prefix}/libexec,;t t
  484. s,@datadir@,${prefix}/share,;t t
  485. s,@sysconfdir@,${prefix}/etc,;t t
  486. s,@sharedstatedir@,${prefix}/com,;t t
  487. s,@localstatedir@,${prefix}/var,;t t
  488. s,@libdir@,/usr/lib64,;t t
  489. s,@includedir@,${prefix}/include,;t t
  490. s,@oldincludedir@,/usr/include,;t t
  491. s,@infodir@,${prefix}/info,;t t
  492. s,@mandir@,${prefix}/man,;t t
  493. s,@build_alias@,,;t t
  494. s,@host_alias@,,;t t
  495. s,@target_alias@,,;t t
  496. s,@DEFS@,-DHAVE_CONFIG_H,;t t
  497. s,@ECHO_C@,,;t t
  498. s,@ECHO_N@,-n,;t t
  499. s,@ECHO_T@,,;t t
  500. s,@LIBS@,,;t t
  501. s,@build@,x86_64-redhat-linux-gnu,;t t
  502. s,@build_cpu@,x86_64,;t t
  503. s,@build_vendor@,redhat,;t t
  504. s,@build_os@,linux-gnu,;t t
  505. s,@host@,x86_64-redhat-linux-gnu,;t t
  506. s,@host_cpu@,x86_64,;t t
  507. s,@host_vendor@,redhat,;t t
  508. s,@host_os@,linux-gnu,;t t
  509. s,@LIBXML_MAJOR_VERSION@,2,;t t
  510. s,@LIBXML_MINOR_VERSION@,6,;t t
  511. s,@LIBXML_MICRO_VERSION@,23,;t t
  512. s,@LIBXML_VERSION@,2.6.23,;t t
  513. s,@LIBXML_VERSION_INFO@,8:23:6,;t t
  514. s,@LIBXML_VERSION_NUMBER@,20623,;t t
  515. s,@LIBXML_VERSION_EXTRA@,,;t t
  516. s,@INSTALL_PROGRAM@,${INSTALL},;t t
  517. s,@INSTALL_SCRIPT@,${INSTALL},;t t
  518. s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
  519. s,@CYGPATH_W@,echo,;t t
  520. s,@PACKAGE@,libxml2,;t t
  521. s,@VERSION@,2.6.23,;t t
  522. s,@ACLOCAL@,${SHELL} /usr/local/cpanel/src/3rdparty/gpl/libxml2-2.6.23/missing --run aclocal-1.9,;t t
  523. s,@AUTOCONF@,${SHELL} /usr/local/cpanel/src/3rdparty/gpl/libxml2-2.6.23/missing --run autoconf,;t t
  524. s,@AUTOMAKE@,${SHELL} /usr/local/cpanel/src/3rdparty/gpl/libxml2-2.6.23/missing --run automake-1.9,;t t
  525. s,@AUTOHEADER@,${SHELL} /usr/local/cpanel/src/3rdparty/gpl/libxml2-2.6.23/missing --run autoheader,;t t
  526. s,@MAKEINFO@,${SHELL} /usr/local/cpanel/src/3rdparty/gpl/libxml2-2.6.23/missing --run makeinfo,;t t
  527. s,@install_sh@,/usr/local/cpanel/src/3rdparty/gpl/libxml2-2.6.23/install-sh,;t t
  528. s,@STRIP@,strip,;t t
  529. s,@ac_ct_STRIP@,strip,;t t
  530. s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
  531. s,@mkdir_p@,mkdir -p --,;t t
  532. s,@AWK@,gawk,;t t
  533. s,@SET_MAKE@,,;t t
  534. s,@am__leading_dot@,.,;t t
  535. s,@AMTAR@,${SHELL} /usr/local/cpanel/src/3rdparty/gpl/libxml2-2.6.23/missing --run tar,;t t
  536. s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
  537. s,@am__untar@,${AMTAR} xf -,;t t
  538. s,@CC@,gcc,;t t
  539. s,@CFLAGS@,-g -O2 -pedantic -W -Wformat -Wunused -Wimplicit -Wreturn-type -Wswitch -Wcomment -Wtrigraphs -Wformat -Wchar-subscripts -Wuninitialized -Wparentheses -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline -Wredundant-decls,;t t
  540. s,@LDFLAGS@,,;t t
  541. s,@CPPFLAGS@,,;t t
  542. s,@ac_ct_CC@,gcc,;t t
  543. s,@EXEEXT@,,;t t
  544. s,@OBJEXT@,o,;t t
  545. s,@DEPDIR@,.deps,;t t
  546. s,@am__include@,include,;t t
  547. s,@am__quote@,,;t t
  548. s,@AMDEP_TRUE@,,;t t
  549. s,@AMDEP_FALSE@,#,;t t
  550. s,@AMDEPBACKSLASH@,\,;t t
  551. s,@CCDEPMODE@,depmode=gcc3,;t t
  552. s,@am__fastdepCC_TRUE@,,;t t
  553. s,@am__fastdepCC_FALSE@,#,;t t
  554. s,@CPP@,gcc -E,;t t
  555. s,@RM@,/bin/rm,;t t
  556. s,@MV@,/bin/mv,;t t
  557. s,@TAR@,/bin/tar,;t t
  558. s,@PERL@,/usr/bin/perl,;t t
  559. s,@XMLLINT@,/usr/bin/xmllint,;t t
  560. s,@XSLTPROC@,/usr/bin/xsltproc,;t t
  561. s,@EGREP@,grep -E,;t t
  562. s,@U@,,;t t
  563. s,@ANSI2KNR@,,;t t
  564. s,@LN_S@,ln -s,;t t
  565. s,@ECHO@,echo,;t t
  566. s,@AR@,ar,;t t
  567. s,@ac_ct_AR@,ar,;t t
  568. s,@RANLIB@,ranlib,;t t
  569. s,@ac_ct_RANLIB@,ranlib,;t t
  570. s,@DLLTOOL@,dlltool,;t t
  571. s,@ac_ct_DLLTOOL@,,;t t
  572. s,@AS@,as,;t t
  573. s,@ac_ct_AS@,,;t t
  574. s,@OBJDUMP@,objdump,;t t
  575. s,@ac_ct_OBJDUMP@,,;t t
  576. s,@CXX@,g++,;t t
  577. s,@CXXFLAGS@,-g -O2,;t t
  578. s,@ac_ct_CXX@,g++,;t t
  579. s,@CXXDEPMODE@,depmode=gcc3,;t t
  580. s,@am__fastdepCXX_TRUE@,,;t t
  581. s,@am__fastdepCXX_FALSE@,#,;t t
  582. s,@CXXCPP@,g++ -E,;t t
  583. s,@F77@,,;t t
  584. s,@FFLAGS@,,;t t
  585. s,@ac_ct_F77@,,;t t
  586. s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
  587. s,@HTML_DIR@,$(datadir)/doc/$(PACKAGE)-$(VERSION)/html,;t t
  588. s,@Z_CFLAGS@,,;t t
  589. s,@Z_LIBS@,-lz,;t t
  590. s,@PYTHON@,/usr/bin/python,;t t
  591. s,@WITH_PYTHON_TRUE@,,;t t
  592. s,@WITH_PYTHON_FALSE@,#,;t t
  593. s,@pythondir@,$(libdir)/python${PYTHON_VERSION}/site-packages,;t t
  594. s,@PYTHON_SUBDIR@,python,;t t
  595. s,@WITH_MODULES@,1,;t t
  596. s,@MODULE_PLATFORM_LIBS@,-ldl,;t t
  597. s,@MODULE_EXTENSION@,.so,;t t
  598. s,@TEST_MODULES@,ModuleTests,;t t
  599. s,@STATIC_BINARIES@,,;t t
  600. s,@WITH_TRIO_SOURCES_TRUE@,#,;t t
  601. s,@WITH_TRIO_SOURCES_FALSE@,,;t t
  602. s,@WITH_TRIO@,0,;t t
  603. s,@THREAD_LIBS@,,;t t
  604. s,@BASE_THREAD_LIBS@,-lpthread,;t t
  605. s,@WITH_THREADS@,1,;t t
  606. s,@THREAD_CFLAGS@, -D_REENTRANT,;t t
  607. s,@TEST_THREADS@,Threadtests,;t t
  608. s,@THREADS_W32@,,;t t
  609. s,@WITH_TREE@,1,;t t
  610. s,@WITH_FTP@,1,;t t
  611. s,@FTP_OBJ@,nanoftp.o,;t t
  612. s,@WITH_HTTP@,1,;t t
  613. s,@HTTP_OBJ@,nanohttp.o,;t t
  614. s,@WITH_LEGACY@,1,;t t
  615. s,@WITH_READER@,1,;t t
  616. s,@READER_TEST@,Readertests,;t t
  617. s,@WITH_WRITER@,1,;t t
  618. s,@WITH_PATTERN@,1,;t t
  619. s,@TEST_PATTERN@,Patterntests,;t t
  620. s,@WITH_SAX1@,1,;t t
  621. s,@TEST_SAX@,SAXtests,;t t
  622. s,@WITH_PUSH@,1,;t t
  623. s,@TEST_PUSH@,XMLPushtests,;t t
  624. s,@WITH_HTML@,1,;t t
  625. s,@HTML_OBJ@,HTMLparser.o HTMLtree.o,;t t
  626. s,@TEST_HTML@,HTMLtests,;t t
  627. s,@TEST_PHTML@,HTMLPushtests,;t t
  628. s,@WITH_VALID@,1,;t t
  629. s,@TEST_VALID@,Validtests,;t t
  630. s,@TEST_VTIME@,VTimingtests,;t t
  631. s,@WITH_CATALOG@,1,;t t
  632. s,@CATALOG_OBJ@,catalog.o,;t t
  633. s,@TEST_CATALOG@,Catatests,;t t
  634. s,@WITH_DOCB@,1,;t t
  635. s,@DOCB_OBJ@,DOCBparser.o,;t t
  636. s,@WITH_XPTR@,1,;t t
  637. s,@XPTR_OBJ@,xpointer.o,;t t
  638. s,@TEST_XPTR@,XPtrtests,;t t
  639. s,@WITH_C14N@,1,;t t
  640. s,@C14N_OBJ@,c14n.c,;t t
  641. s,@TEST_C14N@,C14Ntests,;t t
  642. s,@WITH_XINCLUDE@,1,;t t
  643. s,@XINCLUDE_OBJ@,xinclude.o,;t t
  644. s,@TEST_XINCLUDE@,XIncludetests,;t t
  645. s,@WITH_XPATH@,1,;t t
  646. s,@XPATH_OBJ@,xpath.o,;t t
  647. s,@TEST_XPATH@,XPathtests,;t t
  648. s,@WITH_OUTPUT@,1,;t t
  649. s,@WITH_ICONV@,1,;t t
  650. s,@WITH_ISO8859X@,1,;t t
  651. s,@WITH_SCHEMATRON@,1,;t t
  652. s,@TEST_SCHEMATRON@,Schematrontests,;t t
  653. s,@WITH_SCHEMAS@,1,;t t
  654. s,@TEST_SCHEMAS@,Schemastests Relaxtests,;t t
  655. s,@WITH_REGEXPS@,1,;t t
  656. s,@TEST_REGEXPS@,Regexptests Automatatests,;t t
  657. s,@WITH_DEBUG@,1,;t t
  658. s,@DEBUG_OBJ@,debugXML.o,;t t
  659. s,@TEST_DEBUG@,Scripttests,;t t
  660. s,@WITH_MEM_DEBUG@,0,;t t
  661. s,@WITH_RUN_DEBUG@,0,;t t
  662. s,@WIN32_EXTRA_LIBADD@,,;t t
  663. s,@WIN32_EXTRA_LDFLAGS@,,;t t
  664. s,@CYGWIN_EXTRA_LDFLAGS@,,;t t
  665. s,@CYGWIN_EXTRA_PYTHON_LIBADD@,,;t t
  666. s,@XML_CFLAGS@,,;t t
  667. s,@XML_LIBDIR@,-L${libdir},;t t
  668. s,@XML_LIBS@,-lxml2 -lz -lm ,;t t
  669. s,@XML_LIBTOOLLIBS@,libxml2.la,;t t
  670. s,@ICONV_LIBS@,,;t t
  671. s,@XML_INCLUDEDIR@,-I${includedir}/libxml2,;t t
  672. s,@HAVE_ISNAN@,,;t t
  673. s,@HAVE_ISINF@,,;t t
  674. s,@PYTHON_VERSION@,2.6,;t t
  675. s,@PYTHON_INCLUDES@,$(prefix)/include/python$(PYTHON_VERSION),;t t
  676. s,@PYTHON_SITE_PACKAGES@,/usr/lib/python2.6/site-packages,;t t
  677. s,@M_LIBS@,-lm,;t t
  678. s,@RDL_LIBS@,,;t t
  679. s,@RELDATE@,Mon Sep 12 2011,;t t
  680. s,@PYTHON_TESTS@, RelaxNGPythonTests SchemasPythonTests,;t t
  681. s,@LIBOBJS@,,;t t
  682. s,@LTLIBOBJS@,,;t t
  683. CEOF
  684.  
  685. # Split the substitutions into bite-sized pieces for seds with
  686. # small command number limits, like on Digital OSF/1 and HP-UX.
  687. ac_max_sed_lines=48
  688. ac_sed_frag=1 # Number of current file.
  689. ac_beg=1 # First line for current file.
  690. ac_end=$ac_max_sed_lines # Line after last line for current file.
  691. ac_more_lines=:
  692. ac_sed_cmds=
  693. while $ac_more_lines; do
  694. if test $ac_beg -gt 1; then
  695. sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  696. else
  697. sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  698. fi
  699. if test ! -s $tmp/subs.frag; then
  700. ac_more_lines=false
  701. else
  702. # The purpose of the label and of the branching condition is to
  703. # speed up the sed processing (if there are no `@' at all, there
  704. # is no need to browse any of the substitutions).
  705. # These are the two extra sed commands mentioned above.
  706. (echo ':t
  707. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  708. if test -z "$ac_sed_cmds"; then
  709. ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  710. else
  711. ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  712. fi
  713. ac_sed_frag=`expr $ac_sed_frag + 1`
  714. ac_beg=$ac_end
  715. ac_end=`expr $ac_end + $ac_max_sed_lines`
  716. fi
  717. done
  718. if test -z "$ac_sed_cmds"; then
  719. ac_sed_cmds=cat
  720. fi
  721. fi # test -n "$CONFIG_FILES"
  722.  
  723. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  724. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  725. case $ac_file in
  726. - | *:- | *:-:* ) # input from stdin
  727. cat >$tmp/stdin
  728. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  729. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  730. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  731. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  732. * ) ac_file_in=$ac_file.in ;;
  733. esac
  734.  
  735. # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  736. ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  737. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  738. X"$ac_file" : 'X\(//\)[^/]' \| \
  739. X"$ac_file" : 'X\(//\)$' \| \
  740. X"$ac_file" : 'X\(/\)' \| \
  741. . : '\(.\)' 2>/dev/null ||
  742. echo X"$ac_file" |
  743. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  744. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  745. /^X\(\/\/\)$/{ s//\1/; q; }
  746. /^X\(\/\).*/{ s//\1/; q; }
  747. s/.*/./; q'`
  748. { if $as_mkdir_p; then
  749. mkdir -p "$ac_dir"
  750. else
  751. as_dir="$ac_dir"
  752. as_dirs=
  753. while test ! -d "$as_dir"; do
  754. as_dirs="$as_dir $as_dirs"
  755. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  756. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  757. X"$as_dir" : 'X\(//\)[^/]' \| \
  758. X"$as_dir" : 'X\(//\)$' \| \
  759. X"$as_dir" : 'X\(/\)' \| \
  760. . : '\(.\)' 2>/dev/null ||
  761. echo X"$as_dir" |
  762. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  763. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  764. /^X\(\/\/\)$/{ s//\1/; q; }
  765. /^X\(\/\).*/{ s//\1/; q; }
  766. s/.*/./; q'`
  767. done
  768. test ! -n "$as_dirs" || mkdir $as_dirs
  769. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  770. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  771. { (exit 1); exit 1; }; }; }
  772.  
  773. ac_builddir=.
  774.  
  775. if test "$ac_dir" != .; then
  776. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  777. # A "../" for each directory in $ac_dir_suffix.
  778. ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  779. else
  780. ac_dir_suffix= ac_top_builddir=
  781. fi
  782.  
  783. case $srcdir in
  784. .) # No --srcdir option. We are building in place.
  785. ac_srcdir=.
  786. if test -z "$ac_top_builddir"; then
  787. ac_top_srcdir=.
  788. else
  789. ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  790. fi ;;
  791. [\\/]* | ?:[\\/]* ) # Absolute path.
  792. ac_srcdir=$srcdir$ac_dir_suffix;
  793. ac_top_srcdir=$srcdir ;;
  794. *) # Relative path.
  795. ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  796. ac_top_srcdir=$ac_top_builddir$srcdir ;;
  797. esac
  798.  
  799. # Do not use `cd foo && pwd` to compute absolute paths, because
  800. # the directories may not exist.
  801. case `pwd` in
  802. .) ac_abs_builddir="$ac_dir";;
  803. *)
  804. case "$ac_dir" in
  805. .) ac_abs_builddir=`pwd`;;
  806. [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
  807. *) ac_abs_builddir=`pwd`/"$ac_dir";;
  808. esac;;
  809. esac
  810. case $ac_abs_builddir in
  811. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  812. *)
  813. case ${ac_top_builddir}. in
  814. .) ac_abs_top_builddir=$ac_abs_builddir;;
  815. [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  816. *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  817. esac;;
  818. esac
  819. case $ac_abs_builddir in
  820. .) ac_abs_srcdir=$ac_srcdir;;
  821. *)
  822. case $ac_srcdir in
  823. .) ac_abs_srcdir=$ac_abs_builddir;;
  824. [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  825. *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  826. esac;;
  827. esac
  828. case $ac_abs_builddir in
  829. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  830. *)
  831. case $ac_top_srcdir in
  832. .) ac_abs_top_srcdir=$ac_abs_builddir;;
  833. [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  834. *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  835. esac;;
  836. esac
  837.  
  838.  
  839. case $INSTALL in
  840. [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  841. *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
  842. esac
  843.  
  844. if test x"$ac_file" != x-; then
  845. { echo "$as_me:$LINENO: creating $ac_file" >&5
  846. echo "$as_me: creating $ac_file" >&6;}
  847. rm -f "$ac_file"
  848. fi
  849. # Let's still pretend it is `configure' which instantiates (i.e., don't
  850. # use $as_me), people would be surprised to read:
  851. # /* config.h. Generated by config.status. */
  852. if test x"$ac_file" = x-; then
  853. configure_input=
  854. else
  855. configure_input="$ac_file. "
  856. fi
  857. configure_input=$configure_input"Generated from `echo $ac_file_in |
  858. sed 's,.*/,,'` by configure."
  859.  
  860. # First look for the input files in the build tree, otherwise in the
  861. # src tree.
  862. ac_file_inputs=`IFS=:
  863. for f in $ac_file_in; do
  864. case $f in
  865. -) echo $tmp/stdin ;;
  866. [\\/$]*)
  867. # Absolute (can't be DOS-style, as IFS=:)
  868. test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  869. echo "$as_me: error: cannot find input file: $f" >&2;}
  870. { (exit 1); exit 1; }; }
  871. echo "$f";;
  872. *) # Relative
  873. if test -f "$f"; then
  874. # Build tree
  875. echo "$f"
  876. elif test -f "$srcdir/$f"; then
  877. # Source tree
  878. echo "$srcdir/$f"
  879. else
  880. # /dev/null tree
  881. { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  882. echo "$as_me: error: cannot find input file: $f" >&2;}
  883. { (exit 1); exit 1; }; }
  884. fi;;
  885. esac
  886. done` || { (exit 1); exit 1; }
  887. sed "/^[ ]*VPATH[ ]*=/{
  888. s/:*\$(srcdir):*/:/;
  889. s/:*\${srcdir}:*/:/;
  890. s/:*@srcdir@:*/:/;
  891. s/^\([^=]*=[ ]*\):*/\1/;
  892. s/:*$//;
  893. s/^[^=]*=[ ]*$//;
  894. }
  895.  
  896. :t
  897. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  898. s,@configure_input@,$configure_input,;t t
  899. s,@srcdir@,$ac_srcdir,;t t
  900. s,@abs_srcdir@,$ac_abs_srcdir,;t t
  901. s,@top_srcdir@,$ac_top_srcdir,;t t
  902. s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
  903. s,@builddir@,$ac_builddir,;t t
  904. s,@abs_builddir@,$ac_abs_builddir,;t t
  905. s,@top_builddir@,$ac_top_builddir,;t t
  906. s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
  907. s,@INSTALL@,$ac_INSTALL,;t t
  908. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  909. rm -f $tmp/stdin
  910. if test x"$ac_file" != x-; then
  911. mv $tmp/out $ac_file
  912. else
  913. cat $tmp/out
  914. rm -f $tmp/out
  915. fi
  916.  
  917. done
  918.  
  919. #
  920. # CONFIG_HEADER section.
  921. #
  922.  
  923. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  924. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  925. #
  926. # ac_d sets the value in "#define NAME VALUE" lines.
  927. ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
  928. ac_dB='[ ].*$,\1#\2'
  929. ac_dC=' '
  930. ac_dD=',;t'
  931. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  932. ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
  933. ac_uB='$,\1#\2define\3'
  934. ac_uC=' '
  935. ac_uD=',;t'
  936.  
  937. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  938. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  939. case $ac_file in
  940. - | *:- | *:-:* ) # input from stdin
  941. cat >$tmp/stdin
  942. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  943. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  944. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  945. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  946. * ) ac_file_in=$ac_file.in ;;
  947. esac
  948.  
  949. test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
  950. echo "$as_me: creating $ac_file" >&6;}
  951.  
  952. # First look for the input files in the build tree, otherwise in the
  953. # src tree.
  954. ac_file_inputs=`IFS=:
  955. for f in $ac_file_in; do
  956. case $f in
  957. -) echo $tmp/stdin ;;
  958. [\\/$]*)
  959. # Absolute (can't be DOS-style, as IFS=:)
  960. test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  961. echo "$as_me: error: cannot find input file: $f" >&2;}
  962. { (exit 1); exit 1; }; }
  963. # Do quote $f, to prevent DOS paths from being IFS'd.
  964. echo "$f";;
  965. *) # Relative
  966. if test -f "$f"; then
  967. # Build tree
  968. echo "$f"
  969. elif test -f "$srcdir/$f"; then
  970. # Source tree
  971. echo "$srcdir/$f"
  972. else
  973. # /dev/null tree
  974. { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  975. echo "$as_me: error: cannot find input file: $f" >&2;}
  976. { (exit 1); exit 1; }; }
  977. fi;;
  978. esac
  979. done` || { (exit 1); exit 1; }
  980. # Remove the trailing spaces.
  981. sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
  982.  
  983. # Handle all the #define templates only if necessary.
  984. if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
  985. # If there are no defines, we may have an empty if/fi
  986. :
  987. cat >$tmp/defines.sed <<CEOF
  988. /^[ ]*#[ ]*define/!b
  989. t clr
  990. : clr
  991. ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
  992. ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
  993. ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
  994. ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
  995. ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
  996. ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"libxml2"${ac_dD}
  997. ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"2.6.23"${ac_dD}
  998. ${ac_dA}PROTOTYPES${ac_dB}PROTOTYPES${ac_dC}1${ac_dD}
  999. ${ac_dA}__PROTOTYPES${ac_dB}__PROTOTYPES${ac_dC}1${ac_dD}
  1000. ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
  1001. ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
  1002. ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
  1003. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  1004. ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
  1005. ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
  1006. ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
  1007. ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
  1008. ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
  1009. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  1010. ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
  1011. ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
  1012. ${ac_dA}HAVE_ZLIB_H${ac_dB}HAVE_ZLIB_H${ac_dC}1${ac_dD}
  1013. ${ac_dA}HAVE_LIBZ${ac_dB}HAVE_LIBZ${ac_dC}${ac_dD}
  1014. ${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
  1015. ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
  1016. ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
  1017. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  1018. ${ac_dA}HAVE_CTYPE_H${ac_dB}HAVE_CTYPE_H${ac_dC}1${ac_dD}
  1019. ${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
  1020. ${ac_dA}HAVE_ERRNO_H${ac_dB}HAVE_ERRNO_H${ac_dC}1${ac_dD}
  1021. ${ac_dA}HAVE_MALLOC_H${ac_dB}HAVE_MALLOC_H${ac_dC}1${ac_dD}
  1022. ${ac_dA}HAVE_STDARG_H${ac_dB}HAVE_STDARG_H${ac_dC}1${ac_dD}
  1023. ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
  1024. ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
  1025. ${ac_dA}HAVE_TIME_H${ac_dB}HAVE_TIME_H${ac_dC}1${ac_dD}
  1026. ${ac_dA}HAVE_MATH_H${ac_dB}HAVE_MATH_H${ac_dC}1${ac_dD}
  1027. ${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
  1028. ${ac_dA}HAVE_FLOAT_H${ac_dB}HAVE_FLOAT_H${ac_dC}1${ac_dD}
  1029. CEOF
  1030. sed -f $tmp/defines.sed $tmp/in >$tmp/out
  1031. rm -f $tmp/in
  1032. mv $tmp/out $tmp/in
  1033.  
  1034. cat >$tmp/defines.sed <<CEOF
  1035. /^[ ]*#[ ]*define/!b
  1036. t clr
  1037. : clr
  1038. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  1039. ${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
  1040. ${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
  1041. ${ac_dA}HAVE_ARPA_INET_H${ac_dB}HAVE_ARPA_INET_H${ac_dC}1${ac_dD}
  1042. ${ac_dA}HAVE_NETDB_H${ac_dB}HAVE_NETDB_H${ac_dC}1${ac_dD}
  1043. ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
  1044. ${ac_dA}HAVE_SYS_SELECT_H${ac_dB}HAVE_SYS_SELECT_H${ac_dC}1${ac_dD}
  1045. ${ac_dA}HAVE_SYS_MMAN_H${ac_dB}HAVE_SYS_MMAN_H${ac_dC}1${ac_dD}
  1046. ${ac_dA}HAVE_SYS_TIMEB_H${ac_dB}HAVE_SYS_TIMEB_H${ac_dC}1${ac_dD}
  1047. ${ac_dA}HAVE_SIGNAL_H${ac_dB}HAVE_SIGNAL_H${ac_dC}1${ac_dD}
  1048. ${ac_dA}HAVE_ARPA_NAMESER_H${ac_dB}HAVE_ARPA_NAMESER_H${ac_dC}1${ac_dD}
  1049. ${ac_dA}HAVE_RESOLV_H${ac_dB}HAVE_RESOLV_H${ac_dC}1${ac_dD}
  1050. ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
  1051. ${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
  1052. ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
  1053. ${ac_dA}HAVE_STRNDUP${ac_dB}HAVE_STRNDUP${ac_dC}1${ac_dD}
  1054. ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
  1055. ${ac_dA}HAVE_FINITE${ac_dB}HAVE_FINITE${ac_dC}1${ac_dD}
  1056. ${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
  1057. ${ac_dA}HAVE_LOCALTIME${ac_dB}HAVE_LOCALTIME${ac_dC}1${ac_dD}
  1058. ${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
  1059. ${ac_dA}HAVE_FTIME${ac_dB}HAVE_FTIME${ac_dC}1${ac_dD}
  1060. ${ac_dA}HAVE_STAT${ac_dB}HAVE_STAT${ac_dC}1${ac_dD}
  1061. ${ac_dA}HAVE_SIGNAL${ac_dB}HAVE_SIGNAL${ac_dC}1${ac_dD}
  1062. ${ac_dA}HAVE_PRINTF${ac_dB}HAVE_PRINTF${ac_dC}1${ac_dD}
  1063. ${ac_dA}HAVE_SPRINTF${ac_dB}HAVE_SPRINTF${ac_dC}1${ac_dD}
  1064. ${ac_dA}HAVE_FPRINTF${ac_dB}HAVE_FPRINTF${ac_dC}1${ac_dD}
  1065. ${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
  1066. ${ac_dA}HAVE_VFPRINTF${ac_dB}HAVE_VFPRINTF${ac_dC}1${ac_dD}
  1067. ${ac_dA}HAVE_VSPRINTF${ac_dB}HAVE_VSPRINTF${ac_dC}1${ac_dD}
  1068. ${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
  1069. ${ac_dA}HAVE_SSCANF${ac_dB}HAVE_SSCANF${ac_dC}1${ac_dD}
  1070. ${ac_dA}HAVE_VA_COPY${ac_dB}HAVE_VA_COPY${ac_dC}1${ac_dD}
  1071. ${ac_dA}XML_SOCKLEN_T${ac_dB}XML_SOCKLEN_T${ac_dC}socklen_t${ac_dD}
  1072. ${ac_dA}SUPPORT_IP6${ac_dB}SUPPORT_IP6${ac_dC}${ac_dD}
  1073. ${ac_dA}HAVE_GETADDRINFO${ac_dB}HAVE_GETADDRINFO${ac_dC}${ac_dD}
  1074. ${ac_dA}HAVE_ISNAN${ac_dB}HAVE_ISNAN${ac_dC}${ac_dD}
  1075. ${ac_dA}HAVE_ISINF${ac_dB}HAVE_ISINF${ac_dC}${ac_dD}
  1076. CEOF
  1077. sed -f $tmp/defines.sed $tmp/in >$tmp/out
  1078. rm -f $tmp/in
  1079. mv $tmp/out $tmp/in
  1080.  
  1081. cat >$tmp/defines.sed <<CEOF
  1082. /^[ ]*#[ ]*define/!b
  1083. t clr
  1084. : clr
  1085. ${ac_dA}HAVE_DLOPEN${ac_dB}HAVE_DLOPEN${ac_dC}${ac_dD}
  1086. ${ac_dA}HAVE_LIBPTHREAD${ac_dB}HAVE_LIBPTHREAD${ac_dC}${ac_dD}
  1087. ${ac_dA}HAVE_PTHREAD_H${ac_dB}HAVE_PTHREAD_H${ac_dC}${ac_dD}
  1088. CEOF
  1089. sed -f $tmp/defines.sed $tmp/in >$tmp/out
  1090. rm -f $tmp/in
  1091. mv $tmp/out $tmp/in
  1092.  
  1093. fi # grep
  1094.  
  1095. # Handle all the #undef templates
  1096. cat >$tmp/undefs.sed <<CEOF
  1097. /^[ ]*#[ ]*undef/!b
  1098. t clr
  1099. : clr
  1100. ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
  1101. ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
  1102. ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
  1103. ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
  1104. ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
  1105. ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"libxml2"${ac_uD}
  1106. ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"2.6.23"${ac_uD}
  1107. ${ac_uA}PROTOTYPES${ac_uB}PROTOTYPES${ac_uC}1${ac_uD}
  1108. ${ac_uA}__PROTOTYPES${ac_uB}__PROTOTYPES${ac_uC}1${ac_uD}
  1109. ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
  1110. ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
  1111. ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
  1112. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  1113. ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
  1114. ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
  1115. ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
  1116. ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
  1117. ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
  1118. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  1119. ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
  1120. ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
  1121. ${ac_uA}HAVE_ZLIB_H${ac_uB}HAVE_ZLIB_H${ac_uC}1${ac_uD}
  1122. ${ac_uA}HAVE_LIBZ${ac_uB}HAVE_LIBZ${ac_uC}${ac_uD}
  1123. ${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
  1124. ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
  1125. ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
  1126. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  1127. ${ac_uA}HAVE_CTYPE_H${ac_uB}HAVE_CTYPE_H${ac_uC}1${ac_uD}
  1128. ${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
  1129. ${ac_uA}HAVE_ERRNO_H${ac_uB}HAVE_ERRNO_H${ac_uC}1${ac_uD}
  1130. ${ac_uA}HAVE_MALLOC_H${ac_uB}HAVE_MALLOC_H${ac_uC}1${ac_uD}
  1131. ${ac_uA}HAVE_STDARG_H${ac_uB}HAVE_STDARG_H${ac_uC}1${ac_uD}
  1132. ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
  1133. ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
  1134. ${ac_uA}HAVE_TIME_H${ac_uB}HAVE_TIME_H${ac_uC}1${ac_uD}
  1135. ${ac_uA}HAVE_MATH_H${ac_uB}HAVE_MATH_H${ac_uC}1${ac_uD}
  1136. ${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
  1137. ${ac_uA}HAVE_FLOAT_H${ac_uB}HAVE_FLOAT_H${ac_uC}1${ac_uD}
  1138. CEOF
  1139. sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  1140. rm -f $tmp/in
  1141. mv $tmp/out $tmp/in
  1142.  
  1143. cat >$tmp/undefs.sed <<CEOF
  1144. /^[ ]*#[ ]*undef/!b
  1145. t clr
  1146. : clr
  1147. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  1148. ${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
  1149. ${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
  1150. ${ac_uA}HAVE_ARPA_INET_H${ac_uB}HAVE_ARPA_INET_H${ac_uC}1${ac_uD}
  1151. ${ac_uA}HAVE_NETDB_H${ac_uB}HAVE_NETDB_H${ac_uC}1${ac_uD}
  1152. ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
  1153. ${ac_uA}HAVE_SYS_SELECT_H${ac_uB}HAVE_SYS_SELECT_H${ac_uC}1${ac_uD}
  1154. ${ac_uA}HAVE_SYS_MMAN_H${ac_uB}HAVE_SYS_MMAN_H${ac_uC}1${ac_uD}
  1155. ${ac_uA}HAVE_SYS_TIMEB_H${ac_uB}HAVE_SYS_TIMEB_H${ac_uC}1${ac_uD}
  1156. ${ac_uA}HAVE_SIGNAL_H${ac_uB}HAVE_SIGNAL_H${ac_uC}1${ac_uD}
  1157. ${ac_uA}HAVE_ARPA_NAMESER_H${ac_uB}HAVE_ARPA_NAMESER_H${ac_uC}1${ac_uD}
  1158. ${ac_uA}HAVE_RESOLV_H${ac_uB}HAVE_RESOLV_H${ac_uC}1${ac_uD}
  1159. ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
  1160. ${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
  1161. ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
  1162. ${ac_uA}HAVE_STRNDUP${ac_uB}HAVE_STRNDUP${ac_uC}1${ac_uD}
  1163. ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
  1164. ${ac_uA}HAVE_FINITE${ac_uB}HAVE_FINITE${ac_uC}1${ac_uD}
  1165. ${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
  1166. ${ac_uA}HAVE_LOCALTIME${ac_uB}HAVE_LOCALTIME${ac_uC}1${ac_uD}
  1167. ${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
  1168. ${ac_uA}HAVE_FTIME${ac_uB}HAVE_FTIME${ac_uC}1${ac_uD}
  1169. ${ac_uA}HAVE_STAT${ac_uB}HAVE_STAT${ac_uC}1${ac_uD}
  1170. ${ac_uA}HAVE_SIGNAL${ac_uB}HAVE_SIGNAL${ac_uC}1${ac_uD}
  1171. ${ac_uA}HAVE_PRINTF${ac_uB}HAVE_PRINTF${ac_uC}1${ac_uD}
  1172. ${ac_uA}HAVE_SPRINTF${ac_uB}HAVE_SPRINTF${ac_uC}1${ac_uD}
  1173. ${ac_uA}HAVE_FPRINTF${ac_uB}HAVE_FPRINTF${ac_uC}1${ac_uD}
  1174. ${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
  1175. ${ac_uA}HAVE_VFPRINTF${ac_uB}HAVE_VFPRINTF${ac_uC}1${ac_uD}
  1176. ${ac_uA}HAVE_VSPRINTF${ac_uB}HAVE_VSPRINTF${ac_uC}1${ac_uD}
  1177. ${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
  1178. ${ac_uA}HAVE_SSCANF${ac_uB}HAVE_SSCANF${ac_uC}1${ac_uD}
  1179. ${ac_uA}HAVE_VA_COPY${ac_uB}HAVE_VA_COPY${ac_uC}1${ac_uD}
  1180. ${ac_uA}XML_SOCKLEN_T${ac_uB}XML_SOCKLEN_T${ac_uC}socklen_t${ac_uD}
  1181. ${ac_uA}SUPPORT_IP6${ac_uB}SUPPORT_IP6${ac_uC}${ac_uD}
  1182. ${ac_uA}HAVE_GETADDRINFO${ac_uB}HAVE_GETADDRINFO${ac_uC}${ac_uD}
  1183. ${ac_uA}HAVE_ISNAN${ac_uB}HAVE_ISNAN${ac_uC}${ac_uD}
  1184. ${ac_uA}HAVE_ISINF${ac_uB}HAVE_ISINF${ac_uC}${ac_uD}
  1185. CEOF
  1186. sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  1187. rm -f $tmp/in
  1188. mv $tmp/out $tmp/in
  1189.  
  1190. cat >$tmp/undefs.sed <<CEOF
  1191. /^[ ]*#[ ]*undef/!b
  1192. t clr
  1193. : clr
  1194. ${ac_uA}HAVE_DLOPEN${ac_uB}HAVE_DLOPEN${ac_uC}${ac_uD}
  1195. ${ac_uA}HAVE_LIBPTHREAD${ac_uB}HAVE_LIBPTHREAD${ac_uC}${ac_uD}
  1196. ${ac_uA}HAVE_PTHREAD_H${ac_uB}HAVE_PTHREAD_H${ac_uC}${ac_uD}
  1197. s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
  1198. CEOF
  1199. sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  1200. rm -f $tmp/in
  1201. mv $tmp/out $tmp/in
  1202.  
  1203. # Let's still pretend it is `configure' which instantiates (i.e., don't
  1204. # use $as_me), people would be surprised to read:
  1205. # /* config.h. Generated by config.status. */
  1206. if test x"$ac_file" = x-; then
  1207. echo "/* Generated by configure. */" >$tmp/config.h
  1208. else
  1209. echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
  1210. fi
  1211. cat $tmp/in >>$tmp/config.h
  1212. rm -f $tmp/in
  1213. if test x"$ac_file" != x-; then
  1214. if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
  1215. { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  1216. echo "$as_me: $ac_file is unchanged" >&6;}
  1217. else
  1218. ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  1219. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1220. X"$ac_file" : 'X\(//\)[^/]' \| \
  1221. X"$ac_file" : 'X\(//\)$' \| \
  1222. X"$ac_file" : 'X\(/\)' \| \
  1223. . : '\(.\)' 2>/dev/null ||
  1224. echo X"$ac_file" |
  1225. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1226. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1227. /^X\(\/\/\)$/{ s//\1/; q; }
  1228. /^X\(\/\).*/{ s//\1/; q; }
  1229. s/.*/./; q'`
  1230. { if $as_mkdir_p; then
  1231. mkdir -p "$ac_dir"
  1232. else
  1233. as_dir="$ac_dir"
  1234. as_dirs=
  1235. while test ! -d "$as_dir"; do
  1236. as_dirs="$as_dir $as_dirs"
  1237. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  1238. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1239. X"$as_dir" : 'X\(//\)[^/]' \| \
  1240. X"$as_dir" : 'X\(//\)$' \| \
  1241. X"$as_dir" : 'X\(/\)' \| \
  1242. . : '\(.\)' 2>/dev/null ||
  1243. echo X"$as_dir" |
  1244. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1245. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1246. /^X\(\/\/\)$/{ s//\1/; q; }
  1247. /^X\(\/\).*/{ s//\1/; q; }
  1248. s/.*/./; q'`
  1249. done
  1250. test ! -n "$as_dirs" || mkdir $as_dirs
  1251. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  1252. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  1253. { (exit 1); exit 1; }; }; }
  1254.  
  1255. rm -f $ac_file
  1256. mv $tmp/config.h $ac_file
  1257. fi
  1258. else
  1259. cat $tmp/config.h
  1260. rm -f $tmp/config.h
  1261. fi
  1262. # Compute $ac_file's index in $config_headers.
  1263. _am_stamp_count=1
  1264. for _am_header in $config_headers :; do
  1265. case $_am_header in
  1266. $ac_file | $ac_file:* )
  1267. break ;;
  1268. * )
  1269. _am_stamp_count=`expr $_am_stamp_count + 1` ;;
  1270. esac
  1271. done
  1272. echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
  1273. $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1274. X$ac_file : 'X\(//\)[^/]' \| \
  1275. X$ac_file : 'X\(//\)$' \| \
  1276. X$ac_file : 'X\(/\)' \| \
  1277. . : '\(.\)' 2>/dev/null ||
  1278. echo X$ac_file |
  1279. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1280. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1281. /^X\(\/\/\)$/{ s//\1/; q; }
  1282. /^X\(\/\).*/{ s//\1/; q; }
  1283. s/.*/./; q'`/stamp-h$_am_stamp_count
  1284. done
  1285.  
  1286. #
  1287. # CONFIG_COMMANDS section.
  1288. #
  1289. for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
  1290. ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
  1291. ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
  1292. ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
  1293. $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1294. X"$ac_dest" : 'X\(//\)[^/]' \| \
  1295. X"$ac_dest" : 'X\(//\)$' \| \
  1296. X"$ac_dest" : 'X\(/\)' \| \
  1297. . : '\(.\)' 2>/dev/null ||
  1298. echo X"$ac_dest" |
  1299. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1300. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1301. /^X\(\/\/\)$/{ s//\1/; q; }
  1302. /^X\(\/\).*/{ s//\1/; q; }
  1303. s/.*/./; q'`
  1304. { if $as_mkdir_p; then
  1305. mkdir -p "$ac_dir"
  1306. else
  1307. as_dir="$ac_dir"
  1308. as_dirs=
  1309. while test ! -d "$as_dir"; do
  1310. as_dirs="$as_dir $as_dirs"
  1311. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  1312. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1313. X"$as_dir" : 'X\(//\)[^/]' \| \
  1314. X"$as_dir" : 'X\(//\)$' \| \
  1315. X"$as_dir" : 'X\(/\)' \| \
  1316. . : '\(.\)' 2>/dev/null ||
  1317. echo X"$as_dir" |
  1318. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1319. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1320. /^X\(\/\/\)$/{ s//\1/; q; }
  1321. /^X\(\/\).*/{ s//\1/; q; }
  1322. s/.*/./; q'`
  1323. done
  1324. test ! -n "$as_dirs" || mkdir $as_dirs
  1325. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  1326. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  1327. { (exit 1); exit 1; }; }; }
  1328.  
  1329. ac_builddir=.
  1330.  
  1331. if test "$ac_dir" != .; then
  1332. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  1333. # A "../" for each directory in $ac_dir_suffix.
  1334. ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  1335. else
  1336. ac_dir_suffix= ac_top_builddir=
  1337. fi
  1338.  
  1339. case $srcdir in
  1340. .) # No --srcdir option. We are building in place.
  1341. ac_srcdir=.
  1342. if test -z "$ac_top_builddir"; then
  1343. ac_top_srcdir=.
  1344. else
  1345. ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  1346. fi ;;
  1347. [\\/]* | ?:[\\/]* ) # Absolute path.
  1348. ac_srcdir=$srcdir$ac_dir_suffix;
  1349. ac_top_srcdir=$srcdir ;;
  1350. *) # Relative path.
  1351. ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  1352. ac_top_srcdir=$ac_top_builddir$srcdir ;;
  1353. esac
  1354.  
  1355. # Do not use `cd foo && pwd` to compute absolute paths, because
  1356. # the directories may not exist.
  1357. case `pwd` in
  1358. .) ac_abs_builddir="$ac_dir";;
  1359. *)
  1360. case "$ac_dir" in
  1361. .) ac_abs_builddir=`pwd`;;
  1362. [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
  1363. *) ac_abs_builddir=`pwd`/"$ac_dir";;
  1364. esac;;
  1365. esac
  1366. case $ac_abs_builddir in
  1367. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  1368. *)
  1369. case ${ac_top_builddir}. in
  1370. .) ac_abs_top_builddir=$ac_abs_builddir;;
  1371. [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  1372. *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  1373. esac;;
  1374. esac
  1375. case $ac_abs_builddir in
  1376. .) ac_abs_srcdir=$ac_srcdir;;
  1377. *)
  1378. case $ac_srcdir in
  1379. .) ac_abs_srcdir=$ac_abs_builddir;;
  1380. [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  1381. *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  1382. esac;;
  1383. esac
  1384. case $ac_abs_builddir in
  1385. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  1386. *)
  1387. case $ac_top_srcdir in
  1388. .) ac_abs_top_srcdir=$ac_abs_builddir;;
  1389. [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  1390. *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  1391. esac;;
  1392. esac
  1393.  
  1394.  
  1395. { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
  1396. echo "$as_me: executing $ac_dest commands" >&6;}
  1397. case $ac_dest in
  1398. depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
  1399. # Strip MF so we end up with the name of the file.
  1400. mf=`echo "$mf" | sed -e 's/:.*$//'`
  1401. # Check whether this is an Automake generated Makefile or not.
  1402. # We used to match only the files named `Makefile.in', but
  1403. # some people rename them; so instead we look at the file content.
  1404. # Grep'ing the first line is not enough: some people post-process
  1405. # each Makefile.in and add a new line on top of each file to say so.
  1406. # So let's grep whole file.
  1407. if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
  1408. dirpart=`(dirname "$mf") 2>/dev/null ||
  1409. $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1410. X"$mf" : 'X\(//\)[^/]' \| \
  1411. X"$mf" : 'X\(//\)$' \| \
  1412. X"$mf" : 'X\(/\)' \| \
  1413. . : '\(.\)' 2>/dev/null ||
  1414. echo X"$mf" |
  1415. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1416. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1417. /^X\(\/\/\)$/{ s//\1/; q; }
  1418. /^X\(\/\).*/{ s//\1/; q; }
  1419. s/.*/./; q'`
  1420. else
  1421. continue
  1422. fi
  1423. # Extract the definition of DEPDIR, am__include, and am__quote
  1424. # from the Makefile without running `make'.
  1425. DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
  1426. test -z "$DEPDIR" && continue
  1427. am__include=`sed -n 's/^am__include = //p' < "$mf"`
  1428. test -z "am__include" && continue
  1429. am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
  1430. # When using ansi2knr, U may be empty or an underscore; expand it
  1431. U=`sed -n 's/^U = //p' < "$mf"`
  1432. # Find all dependency output files, they are included files with
  1433. # $(DEPDIR) in their names. We invoke sed twice because it is the
  1434. # simplest approach to changing $(DEPDIR) to its actual value in the
  1435. # expansion.
  1436. for file in `sed -n "
  1437. s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
  1438. sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
  1439. # Make sure the directory exists.
  1440. test -f "$dirpart/$file" && continue
  1441. fdir=`(dirname "$file") 2>/dev/null ||
  1442. $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1443. X"$file" : 'X\(//\)[^/]' \| \
  1444. X"$file" : 'X\(//\)$' \| \
  1445. X"$file" : 'X\(/\)' \| \
  1446. . : '\(.\)' 2>/dev/null ||
  1447. echo X"$file" |
  1448. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1449. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1450. /^X\(\/\/\)$/{ s//\1/; q; }
  1451. /^X\(\/\).*/{ s//\1/; q; }
  1452. s/.*/./; q'`
  1453. { if $as_mkdir_p; then
  1454. mkdir -p $dirpart/$fdir
  1455. else
  1456. as_dir=$dirpart/$fdir
  1457. as_dirs=
  1458. while test ! -d "$as_dir"; do
  1459. as_dirs="$as_dir $as_dirs"
  1460. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  1461. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  1462. X"$as_dir" : 'X\(//\)[^/]' \| \
  1463. X"$as_dir" : 'X\(//\)$' \| \
  1464. X"$as_dir" : 'X\(/\)' \| \
  1465. . : '\(.\)' 2>/dev/null ||
  1466. echo X"$as_dir" |
  1467. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  1468. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  1469. /^X\(\/\/\)$/{ s//\1/; q; }
  1470. /^X\(\/\).*/{ s//\1/; q; }
  1471. s/.*/./; q'`
  1472. done
  1473. test ! -n "$as_dirs" || mkdir $as_dirs
  1474. fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
  1475. echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
  1476. { (exit 1); exit 1; }; }; }
  1477.  
  1478. # echo "creating $dirpart/$file"
  1479. echo '# dummy' > "$dirpart/$file"
  1480. done
  1481. done
  1482. ;;
  1483. esac
  1484. done
  1485.  
  1486. { (exit 0); exit 0; }
  1487.  
  1488.  
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement